package cn.com.ctop.toutiao.modules.report.controller;

import cn.com.ctop.toutiao.modules.report.service.IBytedanceVideoReportService;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 *  Created by JQ.bi on 2020.09.21
 */
@Slf4j
@RestController
@RequestMapping("/ctop/byteDance/videoReport")
public class BytedanceVideoReportCtrl {

    @Autowired
    IBytedanceVideoReportService bytedanceVideoReportService;

    @PostMapping("/list")
    public Result<List<JSONObject>> getListReport(@RequestBody JSONObject requestBody) {

        Result<List<JSONObject>> result = new Result<>();
        if (requestBody.isEmpty()) {
            log.error("request body is empty");
            result.setSuccess(false);
        }
        JSONArray accountIds = requestBody.getJSONArray("accountIds");
        String startDate = requestBody.getString("startDate");
        String endDate = requestBody.getString("endDate");
        String target= requestBody.getString("target");
        String order= requestBody.getString("order");
        try {
            List<JSONObject> listData= null;
            result.setResult(listData);
            result.setSuccess(true);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
            result.setSuccess(false);
        }
        return result;
    }

}
